Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.monitor
Interface UserSessionMonitor

    public interface UserSessionMonitor

Interface `UserSessionMonitor` is used to immediately manage all the user sessions and take charge of communicating with `UserSessionManager` and other modules.

Method Summary
`java.util.Vector` | `getAllUserSessions()` Obtains all the user sessions in the current server.
`java.util.Vector` | `getAllUserSessionsByUserID(java.lang.String userID)` Obtains all the user sessions by the specified user ID.
`javax.servlet.http.HttpSession` | `getHttpSession(java.lang.String usID)` Obtains a Http session which associated with a specified User session.
`int` | `getSessionTimeout()` Obtains the current user session's Timeout value.
`java.util.Vector` | `getSortedUserSessions(java.util.Vector origVec, int[] orderArr)` Sorts a user sessions vector by the specified ordered array.
`void` | `removeAllSelectedUserSessions(java.lang.String[] sIDArr)` Removes all the selected user sessions identified by the specified session ID array.
`void` | `removeAllUserSessions()` Removes all the user sessions in the current server.
`void` | `removeUserSessionBySessionID(java.lang.String sessinID)` Removes a user session by the specified session ID.
`void` | `removeUserSessionsByUserID(java.lang.String userID)` Removes all the user sessions classified by the specified userID.
`void` | `setSessionTimeout(int sTimeout)` Resets user session's Timeout value.

Method Detail

### getAllUserSessions

    java.util.Vector getAllUserSessions()

  Obtains all the user sessions in the current server.

  Returns:
    an Enumeration of all the user sessions.

### getAllUserSessionsByUserID

    java.util.Vector getAllUserSessionsByUserID(java.lang.String userID)

  Obtains all the user sessions by the specified user ID.

  Parameters:
    `userID` - the specified user ID.
  Returns:
    an Enumeration of all the user sessions filtered by the specified user ID.

### getSortedUserSessions

    java.util.Vector getSortedUserSessions(java.util.Vector origVec,
                                           int[] orderArr)

  Sorts a user sessions vector by the specified ordered array.

  Parameters:
    `origVec` - the original Vector, which needs to be sorted.
    `orderArr` - user sessions will be sorted by these parameter's order.
  Returns:
    a sorted user sessions vector.

### removeUserSessionBySessionID

    void removeUserSessionBySessionID(java.lang.String sessinID)

  Removes a user session by the specified session ID.

  Parameters:
    `sessionID` - the specific session ID.

### removeUserSessionsByUserID

    void removeUserSessionsByUserID(java.lang.String userID)

  Removes all the user sessions classified by the specified userID.

  Parameters:
    `userID` - the specific user ID.

### removeAllSelectedUserSessions

    void removeAllSelectedUserSessions(java.lang.String[] sIDArr)

  Removes all the selected user sessions identified by the specified session ID array.

  Parameters:
    `sIDArr` - a array of user sessions ID.

### removeAllUserSessions

    void removeAllUserSessions()

  Removes all the user sessions in the current server.

### setSessionTimeout

    void setSessionTimeout(int sTimeout)

  Resets user session's Timeout value.

  Parameters:
    `sTimeout` - the seconds of user session's new Timeout value.

### getSessionTimeout

    int getSessionTimeout()

  Obtains the current user session's Timeout value.

  Returns:
    a seconds value of current user session's Timeout value.

### getHttpSession

    javax.servlet.http.HttpSession getHttpSession(java.lang.String usID)

  Obtains a Http session which associated with a specified User session.

  Parameters:
    `usID` - the specified user session ID.
  Returns:
    the associated Http session.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD